/*-----------------------------------------------------
single.php
-----------------------------------------------------*/
.l-single {
  width: 75%;
}

.l-2col {
  display: flex;
  justify-content: space-between;
  gap: 5rem;
  margin-top: 10rem;
}

.pageBlog {
  margin-top: 5rem;
}

.pageBlog__articleDate {
  font-size: 0.9rem;
}

.pageBlog__articleCategory {
  margin-top: 0.5rem;
  font-size: 0.9rem;
}

.pageBlog__articleCategory span {
  color: var(--color2);
  font-weight: 600;
}

.pageBlog__articleCategory span :hover {
  text-decoration: underline;
}

.pageBlog__articleTitle {
  margin-top: 3rem;
  font-size: 2cqw;
  font-weight: 800;
}

.pageBlog__articleText {
  margin-top: 3rem;
}

.pageBlog__articleText p {
  margin-top: 1.5rem;
  font-size: 1.25rem;
  font-weight: 400;
  line-height: 2;
  letter-spacing: 0.05rem;
}

@media screen and (max-width: 580px) {
  .l-single {
    width: 100%;
  }

  .l-2col {
    display: block;
  }

  .pageBlog {
    margin-top: 6rem;
  }

  .pageBlog__articleDate {
    font-size: 0.8rem;
  }

  .pageBlog__articleCategory {
    font-size: 0.8rem;
  }

  .pageBlog__articleTitle {
    font-size: 5.5cqw;
  }

  .pageBlog__articleText {
    margin-top: 1rem;
  }

  .pageBlog__articleText p {
    font-size: 0.8rem;
    line-height: 1.75;
  }
}

/*-----------------------------------------------------
category.php
-----------------------------------------------------*/
.l-category {
  width: 75%;
}

.category__title {
  margin-top: 5rem;
  font-weight: 600;
}

.l-category .card__list {
  margin-top: 2rem;
}

@media screen and (max-width: 580px) {
  .l-category {
    width: 100%;
  }
}


/*-------------------------------------------
sidebar.php
-------------------------------------------*/
#sidebar {
  /* margin-top: 3rem; */
  width: 25%;
}

#sidebar .side-title {
  font-size: 1.125rem;
  font-weight: bold;
  margin-bottom: 30px;
}

.author {
  text-align: center;
  margin-bottom: 60px;
}

.archive {
  text-align: center;
}

.archive div:nth-of-type(n + 2) {
  margin-top: 3rem;
}

.archive ul {
  border-bottom: solid  1px #777;
}
.archive li {
  font-size: 0.875rem;
  border-top: solid  1px #777;
  padding: 20px;
  text-align: left;
}

.archive div:last-child form {
  position: relative;
}

.archive select.postform {
  padding: 0.5rem 2rem;
  display: block;
  margin: 0 auto;
  box-sizing: border-box;
  border: 1px solid var(--color4);
  border-radius: 8px;
  background: linear-gradient(0deg, #ddd0c6, #fff); /* 上下の淡いグラデーション */
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.2); /* 立体感を出す影 */
  color: inherit;
  font: inherit;
  font-weight: 700;
  line-height: 1.5;
  outline: none; /* デフォルトのフォーカス線を消す */
  appearance: none; /* ブラウザ標準の矢印を非表示にする */
  cursor: pointer;
  transition: border-color 300ms ease, box-shadow 300ms ease;
}

.archive select.postform:hover,
.archive select.postform:focus {
  border-color: var(--color1);
  box-shadow: 0 3px 30px rgba(213, 123, 5, 0.2);
}


@media screen and (max-width: 580px) {
  #sidebar {
    margin: 5rem auto 0;
    width: 85%;
  }
}

/*-------------------------------------------
記事本文スタイル
-------------------------------------------*/
h3.wp-block-heading {
  margin-top: 1.5rem;
  font-size: 1.5rem;
  font-weight: 700;
}

.pageBlog__articleText p {
  font-size: 0.9rem;
}

.pageBlog__articleText p a {
  color: #070794;
  text-decoration: underline;
  font-weight: 600;
}

hr.wp-block-separator {
  margin: 4rem 0;
}

ul.wp-block-list {
  margin-top: 1rem;
}

ul.wp-block-list li {
  margin-top: 1rem;
  font-weight: 500;
  line-height: 1.5;
}

ul.wp-block-list li:before {
  content: '● ';
}